# ApplicationFramework
TKShapeSchema
ShapeSchema

# ShapeSchema_PColgp_FieldOfHArray2OfCirc2d Class Reference

`#include <ShapeSchema_PColgp_FieldOfHArray2OfCirc2d.hxx>`

## Static Public Member Functions

static Standard_EXPORT void | SAdd (const PColgp_FieldOfHArray2OfCirc2d &, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SWrite (const PColgp_FieldOfHArray2OfCirc2d &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SRead (PColgp_FieldOfHArray2OfCirc2d &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)

## Member Function Documentation

static Standard_EXPORT void ShapeSchema_PColgp_FieldOfHArray2OfCirc2d::SAdd | ( | const PColgp_FieldOfHArray2OfCirc2d & | ,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PColgp_FieldOfHArray2OfCirc2d::SRead | ( | PColgp_FieldOfHArray2OfCirc2d & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void ShapeSchema_PColgp_FieldOfHArray2OfCirc2d::SWrite | ( | const PColgp_FieldOfHArray2OfCirc2d & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

The documentation for this class was generated from the following file:

- ShapeSchema_PColgp_FieldOfHArray2OfCirc2d.hxx